<?php



require_once 'Utils/strutils.php';
require_once 'Utils/testutils.php';


/**
 * This class represents a coordinate in the sky, as right ascention and declanation.
 **/

class SkyCoord
{
  public function __construct()
  {
    $this->ra_hour = '';
    $this->ra_min = '';
    $this->ra_sec = '';
    $this->dec_deg = '';
    $this->dec_min = '';
    $this->dec_sec = '';
  }

  public function SetHMSDMS( $coord_string )
  {
    $ra = strword( $coord_string, 0 );
    $dec = strword( $coord_string, 1 );

    $this->ra_hour = strword( $ra, 0, ':' );
    $this->ra_min = strword( $ra, 1, ':' );
    $this->ra_sec = strword( $ra, 2, ':' );

    $this->dec_deg = strword( $dec, 0, '.' );
    $this->dec_min = strword( $dec, 1, '.' );
    $this->dec_sec = strword( $dec, 2, '.' );
  }

  public function GetHMSDMS() 
  {
    return "$this->ra_hour:$this->ra_min:$this->ra_sec $this->dec_deg.$this->dec_min.$this->dec_sec";
  }

  private $ra_hour;
  private $ra_min;
  private $ra_sec;
  private $dec_deg;
  private $dec_min;
  private $dec_sec;
};

//! Test the functionality of the SkyCoord class
function TestSkyCoord()
{
  $coord_string = '1:2:3 4.5.6';

  $c1 = new SkyCoord();
  $c1->SetHMSDMS( $coord_string );

  PerformTest( 'Testing SkyCoord SetHMSDMS/GetHMSDMS ',
	       ( $coord_string == $c1->GetHMSDMS() ),
               'Result read from GetHMSDMS does not match string given in SetHMSDMS' );
}



?>