<?php



require_once 'Utils/strutils.php';
require_once 'Utils/testutils.php';



class Date
{
  public function __construct()
  {
    $this->day_of_month = '';
    $this->month_of_year = '';
    $this->year = '';
  }

  public function SetDMY( $date_string )
  {
    // TODO add some checking to ensure that we have a properly formed string
    // and throw an exception if we don't

    $this->day_of_month = strword( $date_string, 0, '/' );
    $this->month_of_year = strword( $date_string, 1, '/' );
    $this->year = strword( $date_string, 2, '/' );
  }
  public function GetDMY() 
  {
    return $this->day_of_month . '/' . $this->month_of_year . '/' . $this->year;
  }

  public function GetDayOfMonth() { return $this->day_of_month; }
  public function SetDayOfMonth( $s_day_of_month ) { $this->day_of_month = $s_day_of_month; }

  public function GetMonthOfYear() { return $this->month_of_year; }
  public function SetMonthOfYear( $s_month_of_year ) { $this->month_of_year = $s_month_of_year; }

  public function GetYear() { return $this->year; }
  public function SetYear( $s_year ) { $this->year = $s_year; }

  private $day_of_month;
  private $month_of_year;
  private $year;
};





/**
 * Perform some tests on the Date class
 **/

function TestDate()
{
  $day = '1';
  $month = '2';
  $year = '2008';

  $d1 = new Date();
  $d1->SetDayOfMonth( $day );

  PerformTest( 'Testing day getter/setter',
	       ( $day == $d1->GetDayOfMonth() ),
               'Failed to retrieve the day we set' );

  $d1->SetMonthOfYear( $month );
  PerformTest( 'Testing month getter/setter',
	       ( $month == $d1->GetMonthOfYear() ),
               'Failed to retrieve the month we set' );

  $d1->SetYear( $year );
  PerformTest( 'Testing year getter/setter',
	       ( $year == $d1->GetYear() ),
               'Failed to retrieve the year we set' );
  
  $d1->SetDMY( '12/12/1212' );
  PerformTest( 'Testing DMY getter/setter',
	       ( $d1->GetDMY() == '12/12/1212' ),
	       'The date set and retrieved do not match' . $d1->GetDMY() );
}

?>