<?php



require_once 'Classes/General/Date.php';
require_once 'Utils/testutils.php';



/**
 * This class represents a range of dates, from date to date
 **/

class DateRange
{
  public function __construct()
  {
    $this->from_date = new Date();
    $this->to_date = new Date();
  }

  public function SetFromDate( $s_from_date ) { $this->from_date = $s_from_date; }
  public function GetFromDate() { return $this->from_date; }

  public function SetToDate( $s_to_date ) { $this->to_date = $s_to_date; }
  public function GetToDate() { return $this->to_date; }

  private $from_date;
  private $to_date;
};

function TestDateRange()
{
  // test the from date setter/getter
  // test the to date setter/getter

  $from_date = new Date();
  $from_date->SetDMY( '12/12/1212' );

  $date_range = new DateRange();
  $date_range->SetFromdate( $from_date );
  PerformTest( 'Testing from date getter/setter',
  ( $date_range->GetFromDate()->GetDMY() == '12/12/1212' ),
  'From date retrieved does not match from date set' );

  $to_date = new Date();
  $to_date->SetDMY( '11/11/1111' );

  $date_range->SetToDate( $to_date );
  PerformTest( 'Testing to date getter/seetter',
	      ( $date_range->GetToDate()->GetDMY() == '11/11/1111' ),
	      'To date retrieved does not match to date set' );
}


?>